%define name gps
%define version 0.9.2
%define release 2mdk

Summary: another task manager applet 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.seul.org/pub/gps/%{name}-%{version}.tar.bz2
Source1: gps_16.xpm.bz2
Source2: gps_32.xpm.bz2
Source3: gps_48.xpm.bz2
Patch: gps-doc.patch.bz2
Copyright: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gps.seul.org/
Prefix: %{_prefix}

Requires: libstdc++, gtk+
BuildRequires: libstdc++-devel, gtk+-devel XFree86-devel

%description
gPS is a task manager applet for Linux, based on gtk+. It shows a graphical
list of processes like ps and top. gPS reads data directly from the /proc 
filesystem. It allows the user to filter and sort te process list on any field,
to kill processes with SIGHUP and SIGKILL signals and to renice processes.


%prep
%setup -q
%patch -p 1 -b .doc

%build
%configure

%make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -s -m 755 gps $RPM_BUILD_ROOT%{_bindir}
install -m 644 gps.1x $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}  $RPM_BUILD_ROOT%{_liconsdir}  $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/gps.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/gps.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/gps.xpm

mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/gps" \
	icon="gps.xpm" \
	needs="X11" \
	section="Applications/Monitoring" \
	title="gPS" \
    longtitle="graphical Process Statistics"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root) 
%doc README CHANGELOG COPYING
%{_bindir}/gps
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/gps.xpm
%{_liconsdir}/gps.xpm
%{_miconsdir}/gps.xpm

%changelog
* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Add missing icons

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-2mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- recreate patch for new release

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- BM + macroszification
- patch for doc directory move
- add menu entry
- add manpage

* Sun Jul 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8.1-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.7.1-2mdk
- Fixed group for current group structure

* Wed Mar 1 2000 Daouda LO <daouda@mandrakesoft.com>

 -0.7.1

 -not updated since last millenium ;-)

* Mon Aug 30 1999 Daouda LO <daouda@mandrakesoft.com>

 -0.3.2 


# end of file
